All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
stan::VectorBuilder< used, T1, T2, T3, T4, T5, T6, T7 > Class Template Reference

`#include <VectorBuilder.hpp>`

## Public Member Functions

| VectorBuilder (size_t n)
T1 & | operator[] (size_t i)

## Public Attributes

VectorBuilderHelper< T1, used, contains_vector< T2, T3, T4, T5, T6, T7 >::value > | a

## Detailed Description

### template<bool used, typename T1, typename T2, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double, typename T7 = double>
class stan::VectorBuilder< used, T1, T2, T3, T4, T5, T6, T7 >

Definition at line 61 of file VectorBuilder.hpp.

## Constructor & Destructor Documentation

template<bool used, typename T1, typename T2, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double, typename T7 = double>

stan::VectorBuilder< used, T1, T2, T3, T4, T5, T6, T7 >::VectorBuilder | ( | size_t | n | ) |

inlineexplicit

Definition at line 65 of file VectorBuilder.hpp.

## Member Function Documentation

template<bool used, typename T1, typename T2, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double, typename T7 = double>

T1& stan::VectorBuilder< used, T1, T2, T3, T4, T5, T6, T7 >::operator[] | ( | size_t | i | ) |

inline

Definition at line 66 of file VectorBuilder.hpp.

## Member Data Documentation

template<bool used, typename T1, typename T2, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double, typename T7 = double>

VectorBuilderHelper<T1, used, contains_vector<T2, T3, T4, T5, T6, T7>::value> stan::VectorBuilder< used, T1, T2, T3, T4, T5, T6, T7 >::a

Definition at line 64 of file VectorBuilder.hpp.

The documentation for this class was generated from the following file:

- stan/math/prim/scal/meta/VectorBuilder.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.